Page MenuHomePhabricator

[Bug] deleting text of value and then clicking remove hangs UI
Closed, ResolvedPublic

Description

Edit a claim. Remove the text in the value field. Click remove. The text "Removing..." is displayed. Nothing happens after this. After reloading the page the claim is still there.
The JS error I get is "Uncaught TypeError: Cannot read property 'getClaim' of null"

This seems to happen for:

  • quantity
  • date
  • item link
  • property link
  • monolingual text
  • geocoordinate

It does not seem to be an issue for:

  • string
  • URL
  • commons media

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 10:08 AM

This happens on items and property pages.

aude added a subscriber: aude.Mar 23 2015, 10:19 AM

@Lydia_Pintscher does this happen on test wikidata? and/or wikidata?

I cannot reproduce on test.wikidata, although maybe I misunderstand this bug.

Yes it also happens there. It does not happen for string values apparently.

Jonas renamed this task from deleting text of value and then clicking remove hangs UI to [Bug] deleting text of value and then clicking remove hangs UI.Sep 10 2015, 12:13 PM
Jonas updated the task description. (Show Details)
Jonas set Security to None.
Jonas updated the task description. (Show Details)Sep 10 2015, 12:32 PM
Nikki added a subscriber: Nikki.Apr 23 2016, 2:58 PM

I just got this with an identifier. I also tested with string, monolingual text, URL, Commons media and mathematical expression and the same happens for those (contrary to what the description says).

Change 285016 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix statementlistview trying to remove statement with GUID null

https://gerrit.wikimedia.org/r/285016

thiemowmde closed this task as Resolved.Apr 26 2016, 7:20 AM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-04-12 board.

Change 285016 merged by jenkins-bot:
Fix statementlistview trying to remove statement with GUID null

https://gerrit.wikimedia.org/r/285016